# Ogre::MouseState Struct Reference

Structure representing a snapshot of the state of the mouse input controller. More...

`#include <OgreInput.h>`

List of all members.

## Public Member Functions

long | isButtonDown (uchar button) const
| Retrieves the pressed state of a mouse button.

## Public Attributes

long | Xabs
| Absolute position of the mouse pointer.
long | Yabs
| Absolute position of the mouse pointer.
long | Zabs
| Absolute position of the mouse pointer.
long | Xrel
| Relative position of the mouse pointer.
long | Yrel
| Relative position of the mouse pointer.
long | Zrel
| Relative position of the mouse pointer.
long | Buttons
| The buttons that have been pressed.

## Detailed Description

Structure representing a snapshot of the state of the mouse input controller.

Definition at line 184 of file OgreInput.h.

## Member Function Documentation

long Ogre::MouseState::isButtonDown | ( | uchar | button | ) | const

| Retrieves the pressed state of a mouse button. Definition at line 195 of file OgreInput.h. References Ogre::uchar.

## Member Data Documentation

long Ogre::MouseState::Buttons

| The buttons that have been pressed. Each bit maps to a mouse button. Definition at line 192 of file OgreInput.h.

long Ogre::MouseState::Xabs

| Absolute position of the mouse pointer. Definition at line 187 of file OgreInput.h.

long Ogre::MouseState::Xrel

| Relative position of the mouse pointer. Definition at line 189 of file OgreInput.h.

long Ogre::MouseState::Yabs

| Absolute position of the mouse pointer. Definition at line 187 of file OgreInput.h.

long Ogre::MouseState::Yrel

| Relative position of the mouse pointer. Definition at line 189 of file OgreInput.h.

long Ogre::MouseState::Zabs

| Absolute position of the mouse pointer. Definition at line 187 of file OgreInput.h.

long Ogre::MouseState::Zrel

| Relative position of the mouse pointer. Definition at line 189 of file OgreInput.h.

The documentation for this struct was generated from the following file:

- OgreInput.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:37:03 2005